FROM drop:alpine

ADD wait-for /usr/local/bin/wait-for
RUN chmod +rx /usr/local/bin/wait-for

# As we do change this quite often, it should be added after
# wait-for
RUN apk add --no-cache nodejs
ADD bundle.js /home/cuser/bundle.js

ENTRYPOINT ["/usr/local/bin/drop", "/usr/local/bin/wait-for", "128.1.0.2:27017", "--", "/usr/bin/node", "/home/cuser/bundle.js"]
